% rutero para responder test 1, tema 7, S2-2012

% puntos sobre pieza circular
x = [0.24 -0.17 1.7 -1.37 1.14 -0.49 1.27 1.63 1.38 ...
    1.72 1.67 0.04 0.56 -0.23 -0.62 1.54]';

y = [-1.75 1.45 -0.72 0.32 -1.45 1.33 -1.34 0.59 ...
    0.96 -0.64 -0.81 1.49 1.45 1.44 -1.53 0.78]';

% sistema a resolver para encontrar centro y radio de circunferencia    
A = [2*x 2*y ones(length(x),1)];
b = x.^2 + y.^2;
sol = A\b;
% centro (a,b)
a = sol(1)
b = sol(2)
c = sol(3);
% radio al cuadrado
r2 = c + a^2 + b^2;
% radio
r = sqrt(r2)

% graficando puntos y circunferencia (completa, no solo parte de ella)
plot(x,y,'o');
hold on
x = sort(x);
xp = linspace(a-r,a+r);
plot(xp,b + sqrt(r^2-(xp-a).^2),'r');
plot(xp,b - sqrt(r^2-(xp-a).^2),'r');

